from libhreels import HREELS as hh
import os
import matplotlib.pyplot as plt
import numpy as np

datapath = "./Examples/data"
#datapath = "./data"

d2 = hh.HREELS('c1a02', datapath=datapath)
d1 = hh.HREELS('c1a03', datapath=datapath)


d1.figure()

d1.plot(xmin=37, normalized=True, color='red',   factor = 10, label=d1.fname)
d2.plot(xmin=37, normalized=True, color='black', factor = 10, label=d2.fname)
d2.plot(         normalized=True, color='gray',  factor = 1,  label=None)

d1.ax.set_ylim(bottom=0)
d1.ax.set_xlim(left=-200,right=1300)
plt.axvline(x= 70,ymax=0.4, linestyle='dashed')
plt.axvline(x=-70,ymax=0.1, linestyle='dashed')

plt.text(0.99, 0.01,os.path.basename(__file__), fontsize=10, ha='right', va='bottom', transform=plt.gcf().transFigure)
output_filename = os.path.splitext(__file__)[0] + '.png'
plt.savefig(output_filename)

plt.show()